CVE-2003-0014
CVSS4.6
发布时间 :2003-01-11 00:00:00
修订时间 :2008-09-05 16:33:13
NMCOS    

[原文]gsinterf.c in bmv 1.2 and earlier allows local users to overwrite arbitrary files via a symlink attack on temporary files.


[CNNVD]BMV不安全临时文件漏洞(CNNVD-200301-014)

        bmv 1.2和之前版本中gsinterf.c存在漏洞。本地用户可以借助对临时文件的符号链接攻击覆盖任意文件。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0014
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0014
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200301-014
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/18823
(VENDOR_ADVISORY)  XF  bmv-symlink(18823)
http://securityfocus.org/bid/12229
(VENDOR_ADVISORY)  BID  12229
http://www.debian.org/security/2005/dsa-633
(VENDOR_ADVISORY)  DEBIAN  DSA-633
http://packages.debian.org/changelogs/pool/main/b/bmv/bmv_1.2-14.2/changelog
(VENDOR_ADVISORY)  CONFIRM  http://packages.debian.org/changelogs/pool/main/b/bmv/bmv_1.2-14.2/changelog
http://securitytracker.com/id?1012847
(UNKNOWN)  SECTRACK  1012847
http://secunia.com/advisories/13796
(UNKNOWN)  SECUNIA  13796
http://secunia.com/advisories/13793
(UNKNOWN)  SECUNIA  13793

- 漏洞信息

BMV不安全临时文件漏洞
中危 未知
2003-01-11 00:00:00 2005-10-20 00:00:00
本地  
        bmv 1.2和之前版本中gsinterf.c存在漏洞。本地用户可以借助对临时文件的符号链接攻击覆盖任意文件。

- 公告与补丁

        Debian has released advisory DSA 633-1 to provide updates for this issue.
        BMV BMV 1.2
        

- 漏洞信息

12863
BMV Symlink Arbitrary File Overwrite
Local Access Required Race Condition
Loss of Integrity
Vendor Verified

- 漏洞描述

BMV contains a flaw that may allow a malicious user to overwrite arbitrary files. The issue is triggered when temp files are created insecurely. It is possible that the flaw may allow arbitrary files to be overwritten resulting in a loss of integrity.

- 时间线

2005-01-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.2-14.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

BMV Insecure Temporary File Vulnerability
Access Validation Error 12229
No Yes
2005-01-11 12:00:00 2009-07-12 09:27:00
Discovery is credited to Holger Klawitter.

- 受影响的程序版本

BMV BMV 1.2
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

BMV creates temporary files in an insecure manner. A local attacker could take advantage of this issue to perform symbolic link attacks and corrupt files in the context of the user running the application.

It is not known if this vulnerability could be exploited to gain elevated privileges, though at the very least an attacker could cause critical files to be overwritten, causing loss of data or a denial of service condition.

- 漏洞利用

There is no exploit required.

- 解决方案

Debian has released advisory DSA 633-1 to provide updates for this issue.


BMV BMV 1.2

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站